API Reference
Billing
Domains
Emails
Hooks applications
Hooks endpoints
Hooks event types
Hooks messages
Hooks portal
Log drains
Receiving
Risk
Suppressions
Tracking
Webhook endpoints
Retrieve a recovery
GET
/v1/hooks/applications/{application}/endpoints/{endpoint_id}/recoveries/{recovery_id}
A recovery of the endpoint: pending while deliveries are still being requeued.
bearerAuthheader
AuthorizationBearer <token>A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.
application*stringThe application's id (happ_…) or your uid for it.
endpoint_id*stringThe endpoint's id.
recovery_id*stringCoss-Version?"2026-10-10"The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.
Value in
"2026-10-10"The recovery.
application/json- response
- response
- …
object*"hook_endpoint_recovery"Value in
"hook_endpoint_recovery"id*stringendpoint_id*stringsince*stringFormat
date-timeuntil*stringFormat
date-timestatus*stringpending while COSS is still requeueing deliveries (in the background).
Value in
"pending""completed"requeued*integerDeliveries requeued so far.
created_at*stringFormat
date-timecompleted_at*|Format
date-timeimport { Coss } from "coss";const coss = new Coss({ apiKey: process.env.COSS_API_KEY, baseUrl: "https://api.coss.com",});const { data, error } = await coss.hooks.endpoints.getRecovery("customer_8812", "hep_01k7c8m4q2f3e9v6t5r1n0p8yz", "hrec_01k7c8m4q2f3e9v6t5r1n0p8yz");{ "object": "hook_endpoint_recovery", "id": "hrec_01k7c8m4q2f3e9v6t5r1n0p8yz", "endpoint_id": "hep_01k7c8m4q2f3e9v6t5r1n0p8yz", "since": "2026-01-15T00:00:00.000Z", "until": "2026-01-15T09:30:00.000Z", "status": "pending", "requeued": 0, "created_at": "2026-01-15T09:30:00.000Z", "completed_at": null}